#pragma once
#include "BaseForm.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for CardForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class CardForm : public System::Windows::Forms::Form
#else 
    public __gc class CardForm : public BaseForm
#endif
	{
	public: 
        CardForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }       
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
	private: System::Windows::Forms::TextBox*  textBox1;
	private: System::Windows::Forms::Label*  label1;
	private: System::Windows::Forms::Label*  LB_CardOrgObj;
	private: System::Windows::Forms::ComboBox*  comboBox3;
	private: System::Windows::Forms::Label*  label16;
	private: System::Windows::Forms::ComboBox*  comboBox1;
	private: System::Windows::Forms::Label*  label2;
	private: System::Windows::Forms::GroupBox*  groupBox9;
	private: System::Windows::Forms::TextBox*  TB_StandardCost;
	private: System::Windows::Forms::CheckBox*  CB_StandardCost;
	private: System::Windows::Forms::TextBox*  TB_ReferenceLv;
	private: System::Windows::Forms::Label*  label4;

	private: System::Windows::Forms::TextBox*  TB_Cost;
	private: System::Windows::Forms::GroupBox*  groupBox1;
	private: System::Windows::Forms::ComboBox*  comboBox2;
	private: System::Windows::Forms::Label*  label3;
	private: System::Windows::Forms::Label*  label68;
	private: System::Windows::Forms::TextBox*  textBox30;
	private: System::Windows::Forms::Label*  LB_AddpowerName;

	private: System::Windows::Forms::Label*  label5;
	private: System::Windows::Forms::TextBox*  textBox2;
	private: System::Windows::Forms::GroupBox*  groupBox2;
	private: System::Windows::Forms::ComboBox*  CB_RefLv;

	private: System::Windows::Forms::Label*  label10;
	private: System::Windows::Forms::ComboBox*  CB_RefRace;

	private: System::Windows::Forms::Label*  label11;
	private: System::Windows::Forms::ComboBox*  CB_RefSex;


	private: System::Windows::Forms::Label*  label12;

	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->LB_AddpowerName = (new System::Windows::Forms::Label());
			this->label5 = (new System::Windows::Forms::Label());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->label68 = (new System::Windows::Forms::Label());
			this->textBox30 = (new System::Windows::Forms::TextBox());
			this->comboBox2 = (new System::Windows::Forms::ComboBox());
			this->label3 = (new System::Windows::Forms::Label());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->label2 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->LB_CardOrgObj = (new System::Windows::Forms::Label());
			this->label16 = (new System::Windows::Forms::Label());
			this->groupBox9 = (new System::Windows::Forms::GroupBox());
			this->TB_StandardCost = (new System::Windows::Forms::TextBox());
			this->CB_StandardCost = (new System::Windows::Forms::CheckBox());
			this->TB_ReferenceLv = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->TB_Cost = (new System::Windows::Forms::TextBox());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->CB_RefLv = (new System::Windows::Forms::ComboBox());
			this->label10 = (new System::Windows::Forms::Label());
			this->CB_RefRace = (new System::Windows::Forms::ComboBox());
			this->label11 = (new System::Windows::Forms::Label());
			this->CB_RefSex = (new System::Windows::Forms::ComboBox());
			this->label12 = (new System::Windows::Forms::Label());
			this->panel1->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->groupBox9->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->Controls->Add(this->groupBox2);
			this->panel1->Controls->Add(this->groupBox1);
			this->panel1->Controls->Add(this->groupBox9);
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(738, 565);
			this->panel1->TabIndex = 0;
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->LB_AddpowerName);
			this->groupBox1->Controls->Add(this->label5);
			this->groupBox1->Controls->Add(this->textBox2);
			this->groupBox1->Controls->Add(this->label68);
			this->groupBox1->Controls->Add(this->textBox30);
			this->groupBox1->Controls->Add(this->comboBox2);
			this->groupBox1->Controls->Add(this->label3);
			this->groupBox1->Controls->Add(this->comboBox3);
			this->groupBox1->Controls->Add(this->comboBox1);
			this->groupBox1->Controls->Add(this->label1);
			this->groupBox1->Controls->Add(this->label2);
			this->groupBox1->Controls->Add(this->textBox1);
			this->groupBox1->Controls->Add(this->LB_CardOrgObj);
			this->groupBox1->Controls->Add(this->label16);
			this->groupBox1->Location = System::Drawing::Point(197, 3);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(264, 178);
			this->groupBox1->TabIndex = 108;
			this->groupBox1->TabStop = false;
			// 
			// LB_AddpowerName
			// 
			this->LB_AddpowerName->AutoSize = true;
			this->LB_AddpowerName->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->LB_AddpowerName->Location = System::Drawing::Point(170, 150);
			this->LB_AddpowerName->Name = S"LB_AddpowerName";
			this->LB_AddpowerName->Size = System::Drawing::Size(53, 12);
			this->LB_AddpowerName->TabIndex = 177;
			this->LB_AddpowerName->Text = S"附加能力";
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label5->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label5->Location = System::Drawing::Point(6, 150);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(57, 12);
			this->label5->TabIndex = 175;
			this->label5->Text = S"附加能力";
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(65, 147);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(83, 22);
			this->textBox2->TabIndex = 176;
			this->textBox2->Tag = S"CardAddpower";
			this->textBox2->Text = S"0";
			this->textBox2->DoubleClick += new System::EventHandler(this, &CardForm::SearchObj_DClick);
			this->textBox2->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// label68
			// 
			this->label68->AutoSize = true;
			this->label68->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label68->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label68->Location = System::Drawing::Point(14, 124);
			this->label68->Name = S"label68";
			this->label68->Size = System::Drawing::Size(44, 12);
			this->label68->TabIndex = 173;
			this->label68->Text = S"星等值";
			// 
			// textBox30
			// 
			this->textBox30->Location = System::Drawing::Point(64, 119);
			this->textBox30->Name = S"textBox30";
			this->textBox30->Size = System::Drawing::Size(83, 22);
			this->textBox30->TabIndex = 174;
			this->textBox30->Tag = S"StarValue";
			this->textBox30->Text = S"0";
			this->textBox30->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// comboBox2
			// 
			this->comboBox2->ItemHeight = 12;
			System::Object* __mcTemp__1[] = new System::Object*[9];
			__mcTemp__1[0] = S"1";
			__mcTemp__1[1] = S"2";
			__mcTemp__1[2] = S"3";
			__mcTemp__1[3] = S"4";
			__mcTemp__1[4] = S"5";
			__mcTemp__1[5] = S"6";
			__mcTemp__1[6] = S"7";
			__mcTemp__1[7] = S"8";
			__mcTemp__1[8] = S"9";
			this->comboBox2->Items->AddRange(__mcTemp__1);
			this->comboBox2->Location = System::Drawing::Point(64, 93);
			this->comboBox2->Name = S"comboBox2";
			this->comboBox2->Size = System::Drawing::Size(72, 20);
			this->comboBox2->TabIndex = 109;
			this->comboBox2->Tag = S"CardPriorityID";
			this->comboBox2->Text = S"1";
			this->comboBox2->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label3->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label3->Location = System::Drawing::Point(6, 96);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(57, 12);
			this->label3->TabIndex = 108;
			this->label3->Tag = S"";
			this->label3->Text = S"排序權值";
			// 
			// comboBox3
			// 
			this->comboBox3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox3->ItemHeight = 12;
			System::Object* __mcTemp__2[] = new System::Object*[10];
			__mcTemp__2[0] = S"普通";
			__mcTemp__2[1] = S"一級稀有";
			__mcTemp__2[2] = S"二級稀有";
			__mcTemp__2[3] = S"三級稀有";
			__mcTemp__2[4] = S"四級稀有";
			__mcTemp__2[5] = S"五級稀有";
			__mcTemp__2[6] = S"六級稀有";
			__mcTemp__2[7] = S"七級稀有";
			__mcTemp__2[8] = S"八級稀有";
			__mcTemp__2[9] = S"九級稀有";
			this->comboBox3->Items->AddRange(__mcTemp__2);
			this->comboBox3->Location = System::Drawing::Point(64, 12);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(98, 20);
			this->comboBox3->TabIndex = 104;
			this->comboBox3->Tag = S"Rare";
			this->comboBox3->SelectedIndexChanged += new System::EventHandler(this, &CardForm::GetIndex_SelectedIndexChanged);
			// 
			// comboBox1
			// 
			this->comboBox1->ItemHeight = 12;
			System::Object* __mcTemp__3[] = new System::Object*[5];
			__mcTemp__3[0] = S"1";
			__mcTemp__3[1] = S"5";
			__mcTemp__3[2] = S"12";
			__mcTemp__3[3] = S"99";
			__mcTemp__3[4] = S"999999999";
			this->comboBox1->Items->AddRange(__mcTemp__3);
			this->comboBox1->Location = System::Drawing::Point(65, 66);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(72, 20);
			this->comboBox1->TabIndex = 107;
			this->comboBox1->Tag = S"MaxHeap";
			this->comboBox1->Text = S"1";
			this->comboBox1->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label1->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label1->Location = System::Drawing::Point(5, 44);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(57, 12);
			this->label1->TabIndex = 0;
			this->label1->Text = S"參考物件";
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label2->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label2->Location = System::Drawing::Point(14, 71);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(44, 12);
			this->label2->TabIndex = 106;
			this->label2->Text = S"堆疊量";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(64, 38);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(100, 22);
			this->textBox1->TabIndex = 1;
			this->textBox1->Tag = S"CardOrgObjID";
			this->textBox1->DoubleClick += new System::EventHandler(this, &CardForm::SearchObj_DClick);
			this->textBox1->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// LB_CardOrgObj
			// 
			this->LB_CardOrgObj->AutoSize = true;
			this->LB_CardOrgObj->Location = System::Drawing::Point(170, 41);
			this->LB_CardOrgObj->Name = S"LB_CardOrgObj";
			this->LB_CardOrgObj->Size = System::Drawing::Size(33, 12);
			this->LB_CardOrgObj->TabIndex = 2;
			this->LB_CardOrgObj->Text = S"label2";
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label16->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label16->Location = System::Drawing::Point(14, 15);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(44, 12);
			this->label16->TabIndex = 103;
			this->label16->Text = S"稀有度";
			// 
			// groupBox9
			// 
			this->groupBox9->Controls->Add(this->TB_StandardCost);
			this->groupBox9->Controls->Add(this->CB_StandardCost);
			this->groupBox9->Controls->Add(this->TB_ReferenceLv);
			this->groupBox9->Controls->Add(this->label4);
			this->groupBox9->Controls->Add(this->TB_Cost);
			this->groupBox9->Location = System::Drawing::Point(3, 3);
			this->groupBox9->Name = S"groupBox9";
			this->groupBox9->Size = System::Drawing::Size(188, 99);
			this->groupBox9->TabIndex = 105;
			this->groupBox9->TabStop = false;
			this->groupBox9->Text = S"價值";
			// 
			// TB_StandardCost
			// 
			this->TB_StandardCost->Enabled = false;
			this->TB_StandardCost->Location = System::Drawing::Point(98, 40);
			this->TB_StandardCost->Name = S"TB_StandardCost";
			this->TB_StandardCost->Size = System::Drawing::Size(84, 22);
			this->TB_StandardCost->TabIndex = 98;
			this->TB_StandardCost->Tag = S"";
			this->TB_StandardCost->Text = S"0";
			// 
			// CB_StandardCost
			// 
			this->CB_StandardCost->AutoSize = true;
			this->CB_StandardCost->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->CB_StandardCost->Location = System::Drawing::Point(29, 42);
			this->CB_StandardCost->Name = S"CB_StandardCost";
			this->CB_StandardCost->Size = System::Drawing::Size(60, 16);
			this->CB_StandardCost->TabIndex = 97;
			this->CB_StandardCost->Tag = S"IsStandardCost";
			this->CB_StandardCost->Text = S"標準值";
			this->CB_StandardCost->UseVisualStyleBackColor = true;
			this->CB_StandardCost->CheckedChanged += new System::EventHandler(this, &CardForm::GetValue_CheckChanged);
			// 
			// TB_ReferenceLv
			// 
			this->TB_ReferenceLv->Location = System::Drawing::Point(98, 14);
			this->TB_ReferenceLv->Name = S"TB_ReferenceLv";
			this->TB_ReferenceLv->Size = System::Drawing::Size(84, 22);
			this->TB_ReferenceLv->TabIndex = 96;
			this->TB_ReferenceLv->Tag = S"ReferenceLv";
			this->TB_ReferenceLv->Text = S"0";
			this->TB_ReferenceLv->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label4->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label4->Location = System::Drawing::Point(14, 18);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(83, 12);
			this->label4->TabIndex = 88;
			this->label4->Text = S"參考價錢等級";
			// 
			// TB_Cost
			// 
			this->TB_Cost->Location = System::Drawing::Point(98, 69);
			this->TB_Cost->Name = S"TB_Cost";
			this->TB_Cost->Size = System::Drawing::Size(84, 22);
			this->TB_Cost->TabIndex = 82;
			this->TB_Cost->Tag = S"Cost";
			this->TB_Cost->Text = S"0";
			this->TB_Cost->TextChanged += new System::EventHandler(this, &CardForm::GetIntValue_TextChanged);
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->CB_RefLv);
			this->groupBox2->Controls->Add(this->label10);
			this->groupBox2->Controls->Add(this->CB_RefRace);
			this->groupBox2->Controls->Add(this->label11);
			this->groupBox2->Controls->Add(this->CB_RefSex);
			this->groupBox2->Controls->Add(this->label12);
			this->groupBox2->Enabled = false;
			this->groupBox2->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->groupBox2->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->groupBox2->Location = System::Drawing::Point(467, 3);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(160, 108);
			this->groupBox2->TabIndex = 109;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"參考資料";
			// 
			// CB_RefLv
			// 
			this->CB_RefLv->Location = System::Drawing::Point(48, 73);
			this->CB_RefLv->Name = S"CB_RefLv";
			this->CB_RefLv->Size = System::Drawing::Size(48, 20);
			this->CB_RefLv->TabIndex = 21;
			this->CB_RefLv->Tag = S"Level";
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label10->Location = System::Drawing::Point(8, 82);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(31, 12);
			this->label10->TabIndex = 20;
			this->label10->Text = S"等級";
			// 
			// CB_RefRace
			// 
			this->CB_RefRace->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_RefRace->Location = System::Drawing::Point(48, 24);
			this->CB_RefRace->Name = S"CB_RefRace";
			this->CB_RefRace->Size = System::Drawing::Size(72, 20);
			this->CB_RefRace->TabIndex = 19;
			this->CB_RefRace->Tag = S"Race";
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label11->Location = System::Drawing::Point(8, 32);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(31, 12);
			this->label11->TabIndex = 18;
			this->label11->Text = S"種族";
			// 
			// CB_RefSex
			// 
			this->CB_RefSex->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			System::Object* __mcTemp__4[] = new System::Object*[6];
			__mcTemp__4[0] = S"---";
			__mcTemp__4[1] = S"男";
			__mcTemp__4[2] = S"女";
			__mcTemp__4[3] = S"精英";
			__mcTemp__4[4] = S"王級精英";
			__mcTemp__4[5] = S"世界王級精英";
			this->CB_RefSex->Items->AddRange(__mcTemp__4);
			this->CB_RefSex->Location = System::Drawing::Point(48, 50);
			this->CB_RefSex->Name = S"CB_RefSex";
			this->CB_RefSex->Size = System::Drawing::Size(104, 20);
			this->CB_RefSex->TabIndex = 17;
			this->CB_RefSex->Tag = S"Sex";
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label12->Location = System::Drawing::Point(8, 58);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(31, 12);
			this->label12->TabIndex = 16;
			this->label12->Text = S"性別";
			// 
			// CardForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(894, 646);
			this->Controls->Add(this->panel1);
			this->Name = S"CardForm";
			this->Text = S"CardForm";
			this->panel1->ResumeLayout(false);
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			this->groupBox9->ResumeLayout(false);
			this->groupBox9->PerformLayout();
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			this->ResumeLayout(false);

		}		




#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);

        System::Void SearchMagicClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchItemClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchWeaponClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchArmorClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchImageClick(System::Object *  sender, System::EventArgs *  e);
		System::Void Select_Ability_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);
		System::Void GetValue_CheckChanged(System::Object*  sender, System::EventArgs*  e);
#endif
    protected:
        //######################################################################################################
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        //輸出時額外設定
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
        virtual void    OnValueChange();
        //######################################################################################################


};
}